@use "sass:color";

body {
    font-family: sans-serif;
    font-size: 1em;
}

$calcWidth: 400px;
$specialColor: #36b426e1;
$operationColor: #d86902e1;
$numberColor: #00979ce1;

%borderStyle {
    box-sizing: border-box;
    border: 2px solid #fff;
    border-radius: .25em;

}

.calculator {
    width: $calcWidth;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    &__display {
        width: 100%;
    }

    &__keyboard {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
    }
}

.display {
    @extend %borderStyle;
    background-color: #333;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding: 1em;
    &__operations {
        height: 2rem;
        font-size: 2rem;
        color: #999;
    }

    &__result {
        height: 4rem;
        font-size: 4rem;
        color: #eee;
    }
}

.key {
    @extend %borderStyle;
    flex: 0 0 $calcWidth/4;
    height: $calcWidth/4;
    font-size: 2rem;
    color: #eee;
    &__special {
        background-color: $specialColor;
            &:hover {
                background-color: color.scale($specialColor, $lightness: -30%);;
            }
    }
    &__operation,
    &__result {
        background-color: $operationColor;
            &:hover {
                background-color: color.scale($operationColor, $lightness: -30%);;
            }
    }
    &__number {
        background-color: $numberColor;
            &:hover {
                background-color: color.scale($numberColor, $lightness: -30%);;
            }
    }
    &--double {
        flex: 0 0 $calcWidth/2;
    }
}